# Uses of Interface
org.eclipse.net4j.util.collection.Entity.Store

Packages that use Entity.Store
Package
Description
org.eclipse.net4j.util.collection
Additional collection-like interfaces and classes.

## Uses of Entity.Store in org.eclipse.net4j.util.collection

Classes in org.eclipse.net4j.util.collection that implement Entity.Store
Modifier and Type
Class
Description
`static final class`
`Entity.ComposedStore`
`static final class`
`Entity.ConcurrentStore`
`static class`
`Entity.SingleNamespace`
`static class`
`Entity.SingleNamespaceComputer`
`static final class`
`Entity.SingleNamespaceStore`
Methods in org.eclipse.net4j.util.collection that return Entity.Store
Modifier and Type
Method
Description
`Entity.Store`
Entity.Store.Provider.`getEntityStore()`
`static Entity.Store`
Entity.Store.`of(Object object)`
`final Entity.Store`
Entity.SingleNamespace.`store(String namespace)`
`default Entity.Store`
Entity.Store.`store(String namespace)`
Methods in org.eclipse.net4j.util.collection with parameters of type Entity.Store
Modifier and Type
Method
Description
`Entity.ComposedStore`
Entity.ComposedStore.`addStore(Entity.Store store)`
`Entity.ComposedStore`
Entity.ComposedStore.`removeStore(Entity.Store store)`
Constructors in org.eclipse.net4j.util.collection with parameters of type Entity.Store
Modifier
Constructor
Description
``
`ConcurrentStore(Entity.Store delegate)`
``
`ConcurrentStore(Entity.Store delegate, long timeoutMillis)`